<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
require_once dirname(__FILE__) . '/../wordpress/require.php';

require_once dirname(__FILE__) . '/config.php';

$config = new WordPress_Config(
    BLOG_URL,
    USER_NAME,
    PASSWORD,
    BLOG_ID
);

$obj = new WordPress_CategoryAPI($config);

//deleteCategory();
//suggestCategories();
//newCategory();
getCategories();

function getCategories()
{
    global $obj;

    $data = $obj->getCategories();
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function newCategory()
{
    global $obj;

    $category = array(
        'name' => 'テストカテゴリ',
        'slug' => 'slug',
        'parent_id' => '',
        'description' => 'XML-RPCテスト用カテゴリです。'
    );

    $data = $obj->newCategory($category);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function deleteCategory()
{
    global $obj;

    $category_id = 32;

    $data = $obj->deleteCategory($category_id);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function suggestCategories()
{
    global $obj;

    $category = '未';
    $max_results = 10;

    $data = $obj->suggestCategories($category, $max_results);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}
