<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
require_once dirname(__FILE__) . '/../wordpress/require.php';

require_once dirname(__FILE__) . '/config.php';

$config = new WordPress_Config(
    BLOG_URL,
    USER_NAME,
    PASSWORD,
    BLOG_ID
);

$obj = new WordPress_OptionAPI($config);

getOptions();
//setOptions();

function getOptions()
{
    global $obj;

    $options = array();

/*
    $options = array(
        'blog_title'
    );
*/
    $data = $obj->getOptions($options);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function setOptions()
{
    global $obj;

    $options = array(
        'blog_tagline' => 'サブタイトル'
    );

    $data = $obj->setOptions($options);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}
